<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'role', language 'km', branch 'MOODLE_30_STABLE'
 *
 * @package   role
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['addrole'] = 'បន្ថែមតួនាទីថ្មី';
$string['allow'] = 'អនុញ្ញាត';
$string['allowassign'] = 'អនុញ្ញាតឲ្យផ្ដល់តួនាទី';
$string['allowoverride'] = 'អនុញ្ញាតឲ្យបដិសេធតួនាទី';
$string['allsiteusers'] = 'អ្នកប្រើតំបន់បណ្ដាញទាំងអស់';
$string['assignglobalroles'] = 'ផ្ដល់តួនាទីសកល';
$string['assignroles'] = 'ផ្ដល់តួនាទី';
$string['assignroles_help'] = '<p>
By assigning a role to a user in a context, you
are granting them the permissions contained
in that role, for the current context and all
"lower" contexts.
</p>

<p>
Contexts:
</p>
<ol>
<li>Site/System</li>
<li>Course Categories</li>
<li>Courses</li>
<li>Blocks and Activities</li>
</ol>

<p>
So for example, if you grant a Student role to a
user in a Course, they will have that role for
the course, but also all Blocks and Activities inside
that course.  Their actual permissions may depend on
other roles and overrides that have been defined.
</p>

<p>
See also
<a href="help.php?file=roles.html">Roles</a>,
<a href="help.php?file=contexts.html">Contexts</a>,
<a href="help.php?file=permissions.html">Permissions</a> and
<a href="help.php?file=overrides.html">Overrides</a>.
</p>';
$string['assignrolesin'] = 'ផ្ដល់តួនាទីក្នុង {$a}';
$string['block:view'] = 'មើលប្លុក';
$string['blog:create'] = 'បង្កើតធាតុកំណត់ហេតុបណ្ដាញថ្មី';
$string['blog:manageentries'] = 'កែសម្រួល និងគ្រប់គ្រងធាតុ';
$string['blog:manageofficialtags'] = 'គ្រប់គ្រងស្លាកផ្លូវការ';
$string['blog:managepersonaltags'] = 'គ្រប់គ្រងស្លាកផ្ទាល់ខ្លួន';
$string['blog:view'] = 'មើលធាតុកំណត់ហេតុបណ្ដាញ';
$string['calendar:manageentries'] = 'គ្រប់គ្រងធាតុប្រតិទិនមួយចំនួន';
$string['calendar:managegroupentries'] = 'គ្រប់គ្រងធាតុប្រតិទិនក្រុម';
$string['calendar:manageownentries'] = 'គ្រប់គ្រងធាតុប្រិតិទិនផ្ទាល់ខ្លួន';
$string['capabilities'] = 'សមត្ថភាព';
$string['capability'] = 'សមត្ថភាព';
$string['category:create'] = 'បង្កើតប្រភេទ';
$string['category:delete'] = 'លុបប្រភេទ';
$string['category:manage'] = 'គ្រប់គ្រងប្រភេទ';
$string['category:update'] = 'ធ្វើឲ្យប្រភេទទាន់សម័យ';
$string['category:viewhiddencategories'] = 'មើលប្រភេទដែលលាក់';
$string['category:visibility'] = 'មើលប្រភេទដែលបានលាក់';
$string['course:activityvisibility'] = 'បង្ហាញ/លាក់សកម្មភាព';
$string['course:bulkmessaging'] = 'ផ្ញើសារទៅមនុស្សច្រើននាក់';
$string['course:changefullname'] = 'ផ្លាស់ប្ដូរឈ្មោះពេញរបស់វគ្គសិក្សា';
$string['course:changeidnumber'] = 'ផ្លាស់ប្ដូរលេខសម្គាល់វគ្គសិក្សា';
$string['course:changeshortname'] = 'ផ្លាស់ប្ដូរឈ្មោះកាត់វគ្គសិក្សា';
$string['course:create'] = 'បង្កើតវគ្គសិក្សា';
$string['course:delete'] = 'លុបវគ្គសិក្សា';
$string['course:manageactivities'] = 'គ្រប់គ្រងសកម្មភាព';
$string['course:managefiles'] = 'គ្រប់គ្រងឯកសារ';
$string['course:managegrades'] = 'គ្រប់គ្រងពិន្ទុ';
$string['course:managegroups'] = 'គ្រប់គ្រងក្រុម';
$string['course:managescales'] = 'គ្រប់គ្រងមាត្រដ្ឋាន';
$string['course:request'] = 'ស្នើវគ្គសិក្សាថ្មី';
$string['course:reset'] = 'កំណត់វគ្គសិក្សាឡើងវិញ';
$string['course:sectionvisibility'] = 'គ្រប់គ្រងភាពមើលឃើញរបស់ផ្នែក';
$string['course:setcurrentsection'] = 'កំណត់ផ្នែកបច្ចុប្បន្ន';
$string['course:update'] = 'ធ្វើឲ្យការកំណត់វគ្គសិក្សាទាន់សម័យ';
$string['course:useremail'] = 'បិទ/បើក អាសយដ្ឋានអ៊ីមែល';
$string['course:view'] = 'មើលវគ្គសិក្សា';
$string['course:viewcoursegrades'] = 'មើលពិន្ទុវគ្គសិក្សា';
$string['course:viewhiddenactivities'] = 'មើលសកម្មភាពដែលបានលាក់';
$string['course:viewhiddencourses'] = 'មើលវគ្គសិក្សាដែលបានលាក់';
$string['course:viewhiddensections'] = 'មើលផ្នែកដែលបានលាក់';
$string['course:viewhiddenuserfields'] = 'មើលវាលអ្នកប្រើដែលបានលាក់';
$string['course:viewparticipants'] = 'មើលអ្នកចូលរួម';
$string['course:viewscales'] = 'មើលមាត្រដ្ឋាន';
$string['course:visibility'] = 'លាក់/បង្ហាញ វគ្គសិក្សា';
$string['currentcontext'] = 'បរិបទបច្ចុប្បន្ន';
$string['currentrole'] = 'តួនាទីបច្ចុប្បន្ន';
$string['defaultrole'] = 'តួនាទីលំនាំដើម';
$string['defineroles'] = 'កំណត់តួនាទី';
$string['deletecourseoverrides'] = 'លុបការបដិសេធទាំងអស់ក្នុងវគ្គសិក្សា';
$string['deletelocalroles'] = 'លុបការផ្ដល់តួនាទីមូលដ្ឋានទាំងអស់';
$string['deleterolesure'] = 'តើអ្នកប្រាកដថាចង់លុបតួនាទី "{$a->name} ({$a->shortname})" ឬ ?</p><p>បច្ចុប្បន្ន តួនាទីនេះត្រូវបានផ្ដល់ទៅឲ្យអ្នកប្រើ {$a->count} ។';
$string['duplicaterole'] = 'ស្ទួនតួនាទី';
$string['duplicaterolesure'] = 'តើអ្នកពិតជាចង់ស្ទួនតួនាទី "{$a->name} ({$a->shortname})" ឬ ?</p>';
$string['editrole'] = 'កែសម្រួលតួនាទី';
$string['errorbadrolename'] = 'ឈ្មោះតួនាទីមិនត្រឹមត្រូវ';
$string['errorbadroleshortname'] = 'ឈ្មោះតួនាទីមិនត្រឹមត្រូវ';
$string['errorexistsrolename'] = 'មានឈ្មោះតួនាទីរួចហើយ';
$string['errorexistsroleshortname'] = 'មានឈ្មោះតួនាទីរួចហើយ';
$string['existingusers'] = 'មានអ្នកប្រើ {$a} នាក់';
$string['globalrole'] = 'តួនាទីសកល';
$string['globalroleswarning'] = 'ព្រមាន ! តួនាទីណាដែលអ្នកផ្ដល់ពីទំព័រនេះ នឹងអនុវត្តទៅកាន់អ្នកប្រើទាំងអស់ដែលបានផ្ដល់តួនាទី នៅលើតំបន់បណ្ដាញទាំងមូល ដោយរួមមានទាំងទំព័រមុខ និងវគ្គសិក្សាទាំងអស់ ។';
$string['grade:edit'] = 'កែសម្រួលពិន្ទុ';
$string['grade:export'] = 'នាំចេញពិន្ទុ';
$string['grade:hide'] = 'លាក់/បង្ហាញ ពិន្ទុ ឬធាតុ';
$string['grade:import'] = 'នាំចូលពិន្ទុ';
$string['grade:lock'] = 'ចាក់សោពិន្ទុ ឬធាតុ';
$string['grade:manage'] = 'គ្រប់គ្រងធាតុពិន្ទុ';
$string['grade:manageletters'] = 'គ្រប់គ្រងតួអក្សរពិន្ទុ';
$string['grade:manageoutcomes'] = 'គ្រប់គ្រងលទ្ធផលពិន្ទុ';
$string['grade:override'] = 'បដិសេធពិន្ទុ';
$string['grade:unlock'] = 'ដោះសោពិន្ទុ ឬធាតុ';
$string['grade:view'] = 'មើលពិន្ទុផ្ទាល់ខ្លួន';
$string['grade:viewall'] = 'មើលពិន្ទុរបស់អ្នកដទៃ';
$string['grade:viewhidden'] = 'មើលពិន្ទុដែលបានលាក់សម្រាប់ម្ចាស់';
$string['inactiveformorethan'] = 'អសកម្មច្រើនជាង {$a->timeperiod}';
$string['ingroup'] = 'នៅក្នុងក្រុម "{$a->group}"';
$string['inherit'] = 'ស្នង';
$string['legacy:admin'] = 'តួនាទីចាស់ ៖ អ្នកគ្រប់គ្រង';
$string['legacy:coursecreator'] = 'តួនាទីចាស់ ៖ អ្នកបង្កើតវគ្គសិក្សា';
$string['legacy:editingteacher'] = 'តួនាទីចាស់ ៖ គ្រូ (កែសម្រួលបាន)';
$string['legacy:guest'] = 'តួនាទីចាស់ ៖ ភ្ញៀវ';
$string['legacy:student'] = 'តួនាទីចាស់ ៖ សិស្ស';
$string['legacy:teacher'] = 'តួនាទីចាស់ ៖ គ្រូ (កែសម្រួលមិនបាន)';
$string['legacytype'] = 'ប្រភេទតួនាទីចាស់';
$string['legacy:user'] = 'តួនាទីចាស់ ៖ អ្នកប្រើដែលបានផ្ទៀងផ្ទាត់ភាពត្រឹមត្រូវ';
$string['listallroles'] = 'រាយតួនាទីទាំងអស់';
$string['localroles'] = 'តួនាទីដែលផ្ដល់ដោយមូលដ្ឋាន';
$string['manageroles'] = 'គ្រប់គ្រងតួនាទី';
$string['morethan'] = 'ច្រើនជាង {$a}';
$string['multipleroles'] = 'តួនាទីច្រើន';
$string['my:manageblocks'] = 'គ្រប់គ្រងប្លុកទំព័រ myMoodle';
$string['nocapabilitiesincontext'] = 'មិនមានសមត្ថភាពនៅក្នុងបរិបទនេះឡើយ';
$string['notes:manage'] = 'គ្រប់គ្រងកំណត់ចំណាំ';
$string['notes:view'] = 'មើលកំណត់ចំណាំ';
$string['notset'] = 'មិនបានកំណត់';
$string['overridepermissions'] = 'បដិសេធសិទ្ធិ';
$string['overridepermissions_help'] = '<p>
Overrides are specific permissions designed to override a
role in a specific context, allowing you to "tweak" your
permissions as required.
</p>

<p>
For example, if users with the role Student in your course
can usually start new discussions in forums, but there is
one particular forum for which you want to restrict that
capability, then you can set an override that PREVENTS
the capability for Students to "Start new discussions".
</p>

<p>
Overrides can also be used to "open up" areas of your
site and courses to give users extra permissions where
it makes sense.  For example, you may want to experiment
giving Students the ability to grade some assignments.
</p>

<p>
The interface is similar to the one for defining roles,
except sometimes only relevant capabilities are shown,
and you will also see some capabilities highlighted to
show you what the permission for that role would be
WITHOUT any override active (ie when your override is
set to INHERIT).
</p>


<p>
See also
<a href="help.php?file=roles.html">Roles</a>,
<a href="help.php?file=contexts.html">Contexts</a>,
<a href="help.php?file=assignroles.html">Assign Roles</a> and
<a href="help.php?file=permissions.html">Permissions</a>.
</p>';
$string['overridepermissionsin'] = 'បដិសេធសិទ្ធិក្នុង {$a}';
$string['overrideroles'] = 'បដិសេធតួនាទី';
$string['overriderolesin'] = 'បដិសេធតួនាទីក្នុង {$a}';
$string['overrides'] = 'បដិសេធ';
$string['permission_help'] = '<p>
Permissions are the settings that you grant for specific capabilities.
</p>

<p>
For example, one capability is "Start new discussions" (in forums).
</p>

<p>
In each role, you can choose to set the permission for such a capability
to one of four values:
<dl>
<dt>NOT SET</dt>
<dd>This is the default setting, generally.  It\'s a neutral setting that
    means "use whatever setting the user already had".   If a role
    gets assigned to someone (eg in a course) that has this permission for
    a capability, then the actual permission they\'ll have will just be
    the same as they already had at higher-level contexts (eg categories
    or site level).  Ultimately, if permission is never allowed at any
    level, then the user will have no permission for that capability.
    </dd>

<dt>ALLOW</dt>
<dd>By choosing this you are granting permission for this capability
    to people who are assigned this role.  This permission applies
    for the context that this role gets assigned plus all "lower"
    contexts.  For example, if this role is a student role assigned
    to a course, then students will be able to "start new discussions"
    in all forums in that course, UNLESS some forum contains an
    override or a new assignment with a Prevent or Prohibit value
    for this capability.</dd>

<dt>PREVENT</dt>
<dd>By choosing this you are removing permission for this capability,
    even if the users with this role were allowed that permission in
    a higher context.</dd>

<dt>PROHIBIT</dt>
<dd>This is rarely needed, but occasionally you might want to completely
    deny permissions to a role in a way that can NOT be overridden at
    any lower context.  A good example of when you might need this is
    when an admin wants to prohibit one person from starting new
    discussions in any forum on the whole site.   In this case they
    can create a role with that capability set to "Prohibit" and then
    assign it to that user in the site context.
  </dd>

</dl>
</p>


<p> Permissions at a "lower" context will generally override
    anything at a "higher" context (this applies to overrides
    and assigned roles).  The exception is PROHIBIT which can not
    be overridden at lower levels.
</p>

<p> If two roles are assigned to a person in the same context, one with
    ALLOW and one with PREVENT, which one wins?  In this case, Moodle will
    look up the context tree for a "decider".   </p>

<p> For example, a student has two roles in a course, one that allows
    them to start new discussions, one that prevents them.  In this case,
    we check the categories and the site contexts, looking for another
    defined permission to help us decide.  If we don\'t find one, then
    permission is PREVENT by default (because the two settings cancelled
    each other out, and thus you have no permission).
</p>


<p> Note that the guest user account will generally be prevented from
    posting content (eg forums, calendar entries, blogs) even if it
    is given the capability to do so.
</p>


<p>
See also
<a href="help.php?file=roles.html">Roles</a>,
<a href="help.php?file=contexts.html">Contexts</a>,
<a href="help.php?file=assignroles.html">Assign Roles</a> and
<a href="help.php?file=overrides.html">Overrides</a>.
</p>';
$string['permissions'] = 'សិទ្ធិ';
$string['potentialusers'] = 'អ្នកប្រើជាក់ស្ដែង {$a} នាក់';
$string['prevent'] = 'ការពារ';
$string['prohibit'] = 'ហាមឃាត់';
$string['question:add'] = 'បន្ថែមសំណួរថ្មី';
$string['question:config'] = 'កំណត់រចនាសម្ព័ន្ធប្រភេទសំណួរ';
$string['question:editall'] = 'កែសម្រួលសំណួរទាំងអស់';
$string['question:editmine'] = 'កែសម្រួលសំណួររបស់ខ្លួនឯង';
$string['question:managecategory'] = 'គ្រប់គ្រងប្រភេទសំណួរ';
$string['question:moveall'] = 'ផ្លាស់ទីសំណួរទាំងអស់';
$string['question:movemine'] = 'ផ្លាស់ទីសំណួររបស់ខ្លួនឯង';
$string['question:useall'] = 'ប្រើសំណួរទាំងអស់';
$string['question:usemine'] = 'ប្រើសំណួររបស់ខ្លួនឯង';
$string['question:viewall'] = 'មើលសំណួរទាំងអស់';
$string['question:viewmine'] = 'មើលសំណួររបស់ខ្លួនឯង';
$string['resetrole'] = 'កំណត់ទៅលំនាំដើមឡើងវិញ';
$string['risks'] = 'គ្រោះថ្នាក់';
$string['role:assign'] = 'ផ្ដល់តួនាទីឲ្យអ្នកប្រើ';
$string['roleassignments'] = 'ការផ្ដល់តួនាទី';
$string['rolefullname'] = 'ឈ្មោះ';
$string['role:manage'] = 'បង្កើត និងគ្រប់គ្រងតួនាទី';
$string['role:override'] = 'បដិសេធសិទ្ធិសម្រាប់អ្នកផ្សេង';
$string['roles'] = 'តួនាទី';
$string['role:safeoverride'] = 'បដិសេធសិទ្ធិសុវត្ថិភាពសម្រាប់ផ្សេងទៀត';
$string['roles_help'] = '<p>
A role is a collection of permissions defined for the whole site
that you can assign to specific users in specific contexts.
</p>

<p>
For example, you may have a Role called "Teacher" that is set up to
allow teachers to do certain things (and not others).   Once this role
exists, you can assign it to someone in a course to make them a "Teacher"
for that course.  You could also assign the role to a user in the
course category to make them a "Teacher" for all the courses under that
category, or assign the role to a user just in a single forum, giving
that user those capabilities just in that forum.
</p>

<p>
A role must have a <strong>name</strong>.  If you need to name the role for multiple
languages you can use multilang syntax if you wish, such as <pre>
  &lt;span lang="en">Teacher&lt;/span>
  &lt;span lang="es_es">Profesor&lt;/span>
  </pre>If you do this make sure the setting to "filter strings" is on for your installation.
</p>

<p>
The <strong>shortname</strong> is necessary for other plugins in Moodle that may need
to refer to your Roles (eg when uploading users from a file or setting
enrolments via an enrolment plugin).
</p>

<p>
The <strong>description</strong> is simply to describe the role in your own words, so
that everyone has a common understanding about the role.
</p>

<p>
See also
<a href="help.php?file=contexts.html">Contexts</a>,
<a href="help.php?file=permissions.html">Permissions</a>,
<a href="help.php?file=assignroles.html">Assign Roles</a> and
<a href="help.php?file=overrides.html">Overrides</a>.
</p>';
$string['roleshortname'] = 'ឈ្មោះកាត់';
$string['role:switchroles'] = 'ប្ដូរទៅតួនាទីផ្សេង';
$string['roletoassign'] = 'តួនាទីត្រូវផ្ដល់';
$string['roletooverride'] = 'តួនាទីត្រូវបដិសេធ';
$string['safeoverridenotice'] = 'ចំណាំ ៖ សមត្ថភាពដែលមានគ្រោះថ្នាក់ខ្ពស់ត្រូវបានចាក់សោ ពីព្រោះអ្នកត្រូវបានអនុញ្ញាតឲ្យតែបដិសេធសមត្ថភាពសុវត្ថិភាពទេ ។';
$string['selectrole'] = 'ជ្រើសតួនាទី';
$string['showallroles'] = 'បង្ហាញតួនាទីទាំងអស់';
$string['site:accessallgroups'] = 'ចូលដំណើរការក្រុមទាំងអស់';
$string['site:approvecourse'] = 'អនុម័តការបង្កើតក្រុម';
$string['site:backup'] = 'បម្រុងទុកវគ្គសិក្សា';
$string['site:config'] = 'ផ្លាស់ប្ដូរការកំណត់រចនាសម្ព័ន្ធតំបន់បណ្ដាញ';
$string['site:doanything'] = 'អនុញ្ញាតឲ្យធ្វើអ្វីទាំងអស់';
$string['site:doclinks'] = 'បង្ហាញតំណទៅឯកសារក្រៅបណ្ដាញ';
$string['site:import'] = 'នាំចូលវគ្គសិក្សាផ្សេងៗចូលក្នុងវគ្គសិក្សា';
$string['site:manageblocks'] = 'គ្រប់គ្រងប្លុកកម្រិតតំបន់បណ្ដាញ';
$string['site:mnetloginfromremote'] = 'ចូលតាមរយៈ Moodle ពីចម្ងាយ';
$string['site:mnetlogintoremote'] = 'ចូលដំណើរការទៅកាន់ Moodle ពីចម្ងាយ';
$string['site:readallmessages'] = 'អានសារទាំងអស់លើតំបន់បណ្ដាញ';
$string['site:restore'] = 'ស្ដារវគ្គសិក្សា';
$string['site:sendmessage'] = 'ផ្ញើសារទៅអ្នកប្រើមួយចំនួន';
$string['site:trustcontent'] = 'ទុកចិត្តលើមាតិកាដែលបានដាក់ស្នើ';
$string['site:uploadusers'] = 'ផ្ទុកឡើងអ្នកប្រើថ្មីពីឯកសារ';
$string['site:viewfullnames'] = 'មើលឃើញឈ្មោះពេញរបស់អ្នកប្រើជានិច្ច';
$string['site:viewparticipants'] = 'មើលអ្នកចូលរួម';
$string['site:viewreports'] = 'មើលរបាយការណ៍';
$string['tag:create'] = 'បង្កើតស្លាកថ្មី';
$string['tag:edit'] = 'កែសម្រួលស្លាកមានស្រាប់';
$string['tag:editblocks'] = 'កែសម្រួលប្លុកនៅក្នុងទំព័រស្លាក';
$string['tag:manage'] = 'គ្រប់គ្រងស្លាកទាំងអស់';
$string['user:changeownpassword'] = 'ផ្លាស់ប្ដូរពាក្យសម្ងាត់ផ្ទាល់ខ្លួន';
$string['user:create'] = 'បង្កើតអ្នកប្រើ';
$string['user:delete'] = 'លុបអ្នកប្រើ';
$string['user:editownprofile'] = 'កែសម្រួលទម្រង់អ្នកប្រើផ្ទាល់ខ្លួន';
$string['user:editprofile'] = 'កែសម្រួលទម្រង់អ្នកប្រើ';
$string['user:loginas'] = 'ចូលជាអ្នកប្រើផ្សេង';
$string['user:readuserblogs'] = 'មើលកំណត់ហេតុបណ្ដាញរបស់អ្នកប្រើទាំងអស់';
$string['user:readuserposts'] = 'មើលការប្រកាសរបស់អ្នកប្រើទាំងអស់';
$string['userswithrole'] = 'អ្នកប្រើទាំងអស់ដែលមានតួនាទី';
$string['user:update'] = 'ធ្វើឲ្យទម្រង់អ្នកប្រើទាន់សម័យ';
$string['user:viewdetails'] = 'មើលទម្រង់អ្នកប្រើ';
$string['user:viewhiddendetails'] = 'មើលសេចក្ដីលម្អិតដែលបានលាក់របស់អ្នកប្រើ';
$string['user:viewuseractivitiesreport'] = 'មើលរបាយការណ៍សកម្មភាពរបស់អ្នកប្រើ';
$string['user:viewusergrades'] = 'មើលពិន្ទុអ្នកប្រើ';
$string['viewrole'] = 'មើលព័ត៌មានលម្អិតរបស់តួនាទី';
$string['xuserswiththerole'] = 'អ្នកប្រើដែលមានតួនាទី "{$a->role}" ៖ {$a->number}';
